<?php
/**
 * The template for displaying all pages.
 *
 * Other pages can use a different template by creating a file following any of these format:
 * - page-$slug.php
 * - page-$id.php
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 */
$mts_options = get_option(MTS_THEME_NAME);

get_header();

if($mts_options['mts_show_single_header_posts']){ ?>
	<div class="header-post-wrap single"><?php mts_header_posts(); ?></div>
<?php } ?>
<div class="main-container">
	<div id="page" class="<?php mts_single_page_class(); ?> clearfix">
		<?php $header_animation = mts_get_post_header_effect(); ?>
		<?php if ( 'parallax' === $header_animation ) {?>
			<?php if (mts_get_thumbnail_url()) : ?>
				<div id="parallax" <?php echo 'style="background-image: url('.mts_get_thumbnail_url().');"'; ?>></div>
			<?php endif; ?>
		<?php } else if ( 'zoomout' === $header_animation ) {?>
			 <?php if (mts_get_thumbnail_url()) : ?>
				<div id="zoom-out-effect"><div id="zoom-out-bg" <?php echo 'style="background-image: url('.mts_get_thumbnail_url().');"'; ?>></div></div>
			<?php endif; ?>
		<?php } ?>
		<article class="<?php mts_article_class(); ?>">
			<div id="content_box" >
				<?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
					<div id="post-<?php the_ID(); ?>" <?php post_class('g post'); ?>>
						<div class="single_page">
							<header>
								<h1 class="title entry-title"><?php the_title(); ?></h1>
							</header>
							<div class="post-content box mark-links entry-content">
								<?php the_content(); ?>
								<?php wp_link_pages(array('before' => '<div class="pagination">', 'after' => '</div>', 'link_before'  => '<span class="current">', 'link_after' => '</span>', 'next_or_number' => 'next_and_number', 'nextpagelink' => __('Next','newspaper'), 'previouspagelink' => __('Previous','newspaper'), 'pagelink' => '%','echo' => 1 )); ?>
							</div><!--.post-content box mark-links-->
						</div>
					</div>
					<?php comments_template( '', true ); ?>
				<?php endwhile; ?>
			</div>
		</article>
		<?php get_sidebar(); ?>
	<?php get_footer(); ?>